Bug 431552 - Nautilus-share does not work.
Nautilus-share does not work.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 08:22 EST by Trond Danielsen
Modified: 2008-11-17 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:02:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux alert msg. (2.31 KB, text/plain)
2008-02-05 08:59 EST, Trond Danielsen
no flags Details
Complete AVC log (2.45 MB, text/plain)
2008-02-06 02:18 EST, Trond Danielsen
no flags Details

  None (edit)
Description Trond Danielsen 2008-02-05 08:22:33 EST
Description of problem:
The problem is as simple as the summary says: Nautilus-share does not work
without further manual configuration.

Version-Release number of selected component (if applicable):
0.7.2

How reproducible:
Every time.

Steps to Reproduce:
1. Right click on a folder in Nautilus.
2. Click Sharing Option and share folder.
3. Watch the error msg.
  
Actual results:
First it complains that usershare is not enables. The after I edit smb.conf
according to the settings found on the Nautilus-share website, it complains that
it cannot stat the path to ensure that it is a folder. This is solved by setting
SELinux to Permissive. 

Expected results:
Nautilus-share just works(tm).

Additional info:
Comment 1 Jon Stanley 2008-02-05 08:37:15 EST
Please provide the AVC message generated by SELinux.  Reassigning to selinux-policy.
Comment 2 Trond Danielsen 2008-02-05 08:59:00 EST
Created attachment 293997 [details]
SELinux alert msg.
Comment 3 Trond Danielsen 2008-02-05 09:01:07 EST
I've attached the avc msg. Should I open another bug related to the manual
configuration required for nautilus-share?
Comment 4 Jakub 'Livio' Rusinek 2008-02-05 09:25:52 EST
This is probably SELinux bug, not mine.

Configuration of nautilus-share is provided in doc dir in INSTALL file.
Please follow the instructions.
Comment 5 Trond Danielsen 2008-02-05 09:37:58 EST
I'll post some additional comments here that are related to the first problem
(not the SELinux issue).

1. The SELinux issue should have been detected during review; I would expect
that packagers and reviewers make sure that packages work under a standard
Fedora setup, which includes SELinux and a firewall. In this case, both had to
be disables (forgot to mention the fw issue initially).

2. I think the level of manual interaction is fairly high given the target group
of this program. Perhaps a nautilus-share-smb.conf file with the settings given
in the instructions could be provided as a part of the package, and then the
conf-file could simpy be included in smb.conf. I would also recommend adding a
README.fedora which tells the user to punch a hole in his or her fw and to
include the conf file in the main smb.conf.
Comment 6 Trond Danielsen 2008-02-05 09:39:50 EST
(Well... My comment #5 also comments on the SELinux issue, which contradicts the
introduction to my comment :-) )
Comment 7 Daniel Walsh 2008-02-05 14:46:46 EST
All tools should be tested in enforcing mode to make sure these bugs do not
sneak out.  Could you put your machine in permissive mode and run the command. 
We need to collect all of the AVC messages from /var/log/audit/audit.log
Comment 8 Jon Stanley 2008-02-05 14:54:02 EST
Trond - 

Please open another bug for the non-SELinux part of this.  That does belong to
Jakub, not Dan.
Comment 9 Trond Danielsen 2008-02-06 02:18:55 EST
Created attachment 294077 [details]
Complete AVC log

Here is the complete audit.log. Please let me know if you need anything else.
Comment 10 Daniel Walsh 2008-02-06 09:20:21 EST
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-84.fc8

What do I need to do to set this up for testing.  I installed nautilus-share and
started smb and nmb  Is there something else I need to do to test?  I don't see
anything that says share the folder?  Do I need to change smb.conf?
Comment 11 Daniel Walsh 2008-02-26 17:42:57 EST
Fixed in selinux-policy-3.0.8-89.fc8
Comment 12 Daniel Walsh 2008-11-17 17:02:55 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.